This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 722793 - sakura 2.4.1-2 not built with $RPM_OPT_FLAGS
sakura 2.4.1-2 not built with $RPM_OPT_FLAGS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sakura (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2011-07-17 17:03 EDT by Ville Skyttä
Modified: 2011-07-30 23:30 EDT (History)
1 user (show)

See Also:
Fixed In Version: sakura-2.4.1-3.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-17 17:32:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2011-07-17 17:03:13 EDT
sakura 2.4.1-2 is not built with $RPM_OPT_FLAGS, see the gcc lines in the build log:

http://kojipkgs.fedoraproject.org/packages/sakura/2.4.1/2.fc16/data/logs/x86_64/build.log

2.4.0-1 did not have this problem, so cflags stuff was not actually fixed upstream as the 2.4.1-2 %changelog entry says.
Comment 1 Ville Skyttä 2011-07-17 17:04:14 EDT
(In reply to comment #0)
> 2.4.0-1 did not have this problem, so cflags stuff was not actually fixed

Oops, meant to say "apparently" instead of "actually".
Comment 2 Christoph Wickert 2011-07-17 17:13:07 EDT
Thanks for catching this, I have to admit I relied on upstream when I removed my patch.
Comment 3 Fedora Update System 2011-07-17 17:31:55 EDT
sakura-2.4.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/sakura-2.4.1-3.fc15
Comment 4 Fedora Update System 2011-07-30 23:30:23 EDT
sakura-2.4.1-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.